%define name mcatalog
%define version 0.2
%define release 2mdk
%define monoprefix %_prefix/lib
Summary: Film and book catalog
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.mcatalog.net/releases/%{name}-%{version}.tar.bz2
License: GPL
Group: Archiving/Other
Url: http://mcatalog.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: gtk2-devel
BuildRequires: mono-devel
BuildRequires: sqlite-devel
BuildRequires: mono-data-sqlite
BuildRequires: evolution-sharp
BuildRequires: gnome-sharp2
BuildRequires: gecko-sharp2
BuildRequires: intltool
BuildRequires: ImageMagick

%description
mCatalog is an application for catalogue things like films and books.
It's completely written it C#, and dessigned for working in the GNOME
desktop.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%monoprefix --sysconfdir=%_sysconfdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Applications/Archiving/Other" title="Mcatalog" \
  longtitle="Media catalog for books and films" startup_notify="true"
EOF
mkdir -p $RPM_BUILD_ROOT/{%{_miconsdir},%_liconsdir}
ln -s %_datadir/%name/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32 images/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 images/%name.png %buildroot%_miconsdir/%name.png
#touch %buildroot%monoprefix/%name/%name.exe.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%name.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done
%update_menus
#if [ -x %_bindir/mono ]; then
#  mono --aot -O=all,-shared %monoprefix/%name/%name.exe > /dev/null
#fi


%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="%name.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS TODO AUTHORS ChangeLog
#README
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%dir %monoprefix/%name
%monoprefix/%name/%name.exe
#%ghost %monoprefix/%name/%name.exe.so
%_datadir/application-registry/%name.applications
%_datadir/applications/%name.desktop
%_datadir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- rebuild for new gtk-sharp2

* Thu Aug 04 2005 Götz Waschk <waschk@mandriva.org> 0.2-1mdk
- update buildrequires
- drop patch
- new source URL
- New release 0.2

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1-4mdk
- disable aot, broken in mono 1.1.7

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.1-3mdk
- aot compile the exe in %%post

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.1-2mdk
- new url
- patch to make it build with current mono

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- New release 0.1

* Wed Dec 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.6-1mdk
- New release 0.0.6

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update file list
- New release 0.0.5

* Mon Oct 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- New release 0.0.4

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-2mdk
- fix gconf script

* Sat Oct 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- drop patch
- New release 0.0.3

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-3mdk
- fix buildrequires

* Wed Oct 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- make it a noarch package

* Wed Oct 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- initial package
